﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using DataFormTest;
using DataFormTest.Droid; 
using Xamarin.Forms.Platform.Android;
using Android.Graphics;
using Xamarin.Forms;
using Android.Graphics.Drawables;
using Android.Graphics.Drawables.Shapes;


[assembly: ExportRenderer(typeof(MyEntry), typeof(MyEntryRenderer))]
namespace DataFormTest.Droid
{
    public class MyEntryRenderer : EntryRenderer
    {

        protected override void OnElementChanged(ElementChangedEventArgs<Entry> e)
        {
            base.OnElementChanged(e);

            if (e.NewElement != null && this.Control != null)
            {                
                this.Control.Background = this.Resources.GetDrawable(Resource.Drawable.RoundBorder);
            }
        }        

    }              
}